/*
*********************************************************************************************************
*                                       IAR Development Kits
*                                              on the
*
*                                    Nano130
*
* Filename      : spi_accelero.h
* Version       : V1.00
* Programmer(s) : Qian Xianghong
*********************************************************************************************************
*/

#ifndef  USER_SPI_ACCELERO_PRESENT
#define  USER_SPI_ACCELERO_PRESENT

#include "type.h"

#define ACCELERO_ID	0x33

// 加速度计ID
extern uint8_t Accelero_ID;
// 运动状态
extern volatile uint8_t Motion_Status;
// 运动检测
extern volatile uint8_t Motion_Detected;

// 初始化引脚
void Accelero_Init();
// 初始化LI2SDH12
void Accelero_Open();
// 读出ID放在Accelero_ID(检查加速度计是否正常）
void Accelero_CheckID();
// 中断处理
void Accelero_Handler();
// 读取运动状态
void Accelero_ReadStatus(uint8_t int2_pin);

#endif
